Download it now!
Bug 49901 - Writer FORMATTING: During Find&Replace operation wrong part of text becomes selected
Summary: Writer FORMATTING: During Find&Replace operation wrong part of text becomes s...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.6 release
Hardware: All All
: medium minor
Assignee: Michael Stahl (allotropia)
URL:
Whiteboard: target:3.7.0 target:3.6.2 target:3.5.7
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-05-14 04:27 UTC by sasha.libreoffice
Modified: 2012-08-27 18:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
test case document (12.33 KB, application/vnd.oasis.opendocument.text)
2012-05-14 04:27 UTC, sasha.libreoffice
Details
screenshot where shown that text selected from beginning, not only needed part of text (192.47 KB, image/png)
2012-05-14 04:29 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sasha.libreoffice 2012-05-14 04:27:19 UTC
Created attachment 61605 [details]
test case document

When we use Find&Replace in Writer, specifying which font to search, wrong part of text becomes selected
Steps to reproduce:
0. Open window "find and replace"
1. Place text cursor in beginning of text
2. type word Libro in field "Search for"
3. type qwer in replace field
4. press "More options"
5. put cursor into find field and from "Format" select 14pt. font. 
And enable field "Including Styles"  
6. Now check this box.
7. push button "Replace All"

Reproduced in 3.5.3, not reproduced in 3.3.4, so possible regression

PS: most content copy-pasted from Bug 45333
Comment 1 sasha.libreoffice 2012-05-14 04:29:11 UTC
Created attachment 61606 [details]
screenshot where shown that text selected from beginning, not only needed part of text
Comment 2 Michael Stahl (allotropia) 2012-08-24 20:59:59 UTC
regression in LO 3.4 from cda75d6f358d438f7ed36ed7fa296ac23e3c4a04
(the second one, actually... should have been more suspicious when i found the first one :)
Comment 3 Michael Stahl (allotropia) 2012-08-24 23:22:37 UTC
fixed on master
Comment 4 Not Assigned 2012-08-24 23:26:00 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b3233579ccb2528912835deedde37c1d48417d6c

fdo#49901: SwView::ExecSearch: fix Replace All cursor:
Comment 5 Not Assigned 2012-08-27 07:24:53 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=546f1a008482ca5227897faaf4e588a7d8f5dd58&g=libreoffice-3-6

fdo#49901: SwView::ExecSearch: fix Replace All cursor:


It will be available in LibreOffice 3.6.2.
Comment 6 sasha.libreoffice 2012-08-27 07:32:11 UTC
Thanks for fixing this bug
Comment 7 Not Assigned 2012-08-27 18:23:37 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fa5d53a4fb05f690cd59de274fb5d5fd1b42f677&g=libreoffice-3-5

fdo#49901: SwView::ExecSearch: fix Replace All cursor:


It will be available in LibreOffice 3.5.7.